package com.zipcodewilmington.streams.conversions;

import com.zipcodewilmington.streams.anthropoid.Person;
import com.zipcodewilmington.streams.anthropoid.PersonFactory;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.stream.Stream;

/**
 * Created by leon on 5/25/17.
 */
public final class ArrayConverter extends PersonConversionAgent<Person[]> {
    public ArrayConverter(Person... people) {
        super( people );
    }

    public ArrayConverter(int collectionSize) {
        this( PersonFactory.createPersonArray( collectionSize ) );
        /** Implementation of adapter pattern for testing purposes
         *  @param collectionSize  - length of Array to be generated */
    }

    //TODO
    public List <Person> toList() {

        List list = new ArrayList();
        Collections.sort( list );
        return list;
    }



    //TODO
    public Stream<Person> toStream() {
        Stream<Person> stream1 = Stream.of( );
        return stream1;
    }

    @Override
    public Person[] toArray() {
        Stream<Person> stream = Stream.of();
        String[] arr = stream.toArray(size -> new String[size]);
        return new Person[0];
    }

}
