package com.zipcodewilmington.streams.conversions;

import com.zipcodewilmington.streams.anthropoid.Person;
import com.zipcodewilmington.streams.anthropoid.PersonFactory;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.stream.Stream;

/**
 * Created by leon on 5/25/17.
 */
public final class ListConverter extends PersonConversionAgent<List<Person>> {
    private ArrayList list;

    public ListConverter(List<Person> people) {
        super(people);
    }

    public ListConverter(int collectionSize) {
        this(PersonFactory.createPersonList(collectionSize));
        /** Implementation of adapter pattern for testing purposes
         *  @param collectionSize  - size of List to be generated */
    }

    @Override
    public List<Person> toList() {
        List list = new ArrayList();
        Collections.sort( list );
        return list;
    };


    //TODO
    public Stream<Person> toStream() {
        Stream<Person> stream1 = Stream.of( );
        return stream1;
    }

    //TODO
    public Person[] toArray() {
        Stream<Person> stream = Stream.of();
        String[] arr = stream.toArray(size -> new String[size]);
        return new Person[0];
    }
}
