package com.zipcodewilmington.streams.conversions;

import com.zipcodewilmington.streams.anthropoid.Person;
import com.zipcodewilmington.streams.anthropoid.PersonFactory;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

/**
 * Created by leon on 5/25/17.
 */
public final class StreamConverter extends PersonConversionAgent<Stream<Person>> {
    private final List<Person> personList;
    public StreamConverter(Stream<Person> people) {
        super(people);
        this.personList = super.objectSequence.collect(Collectors.toList());
    }

    public StreamConverter(int collectionSize) {
        this(PersonFactory.createPersonStream(collectionSize));
        /** Implementation of adapter pattern for testing purposes
         *  @param collectionSize  - count of Stream to be generated */
    }

    // TODO
    public List<Person> toList() {
        List list = new ArrayList();
        Collections.sort( list );
        return list;
    }


    // TODO
    public Stream<Person> toStream() {
        Stream<Person> stream1 = Stream.of( );
        return stream1;
    }

    // TODO
    public Person[] toArray() {
        Stream<Person> stream = Stream.of();
        String[] arr = stream.toArray(size -> new String[size]);
        return new Person[0];
    }
}
